Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/postings/commits

Commit postings

Commits all postings until a given date for a given mandate. The commit will be based on either the delivery or the receipt date of the postings.

Required permissions:

  • mandate.read

  • posting.edit

Path Parameters

mandateIdstringrequired
organizationIdstringrequired

Request Body required

Content-Type: application/json

commitTostringrequired

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/postings/commits
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/postings/commits' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "commitTo": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

committedCountintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "committedCount": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}